Description

This is a guide on how | set up the Intel Galileo IDE alongside the Arduino IDE on a Linux workstation. Both Arch and Ubuntu
examples are used in this guide.

Prepare the environment

Arch Linux

e Arduino and Galileo users must be added to the lock and uucp groups:
gpasswd —a $USER uucp
gpasswd —-a SUSER lock
o Log out and log back in for the group change to take effect.

¢ Install JRE:
sudo pacman -S jreT7-openjdk

¢ Install yaourt

e [nstall Arduino from the AUR:

yaourt arduino

Fix Python
Arch uses python3 by default, to workaround this set the user environment to use python2.

® Create a dummy bin folder in the user directory:

mkdir ~/bin

o Then add a symlink python to python2 and the config scripts in it:

In -s /usr/bin/python2 ~/bin/python
In -s /usr/bin/python2-config ~/bin/python-config

e Finally put the new folder at the beginning of your PATH variable:

echo 'export PATH=~/bin:$PATH' >> ~/.bashrc
https://project.altservice.com/issues/509

Ubuntu

e NOTE: A system service called modem manager can interfere with the Galileo. Remove it with the following command in the
terminal window:

sudo apt—-get remove modemmanager
e |nstall JRE:
sudo apt-get install default-jre
 Install Arduino IDE
sudo apt-get install arduino arduino-core

Download the Intel Arduino IDE

NOTE: The Galileo IDE version at the time of writing was 1.0.4

e Download and extract IDE for 32-bit systems:

eel =~

wget http://downloadmirror.intel.com/24783/eng/IntelArduino-1.6.0-Linux32.txz
tar xJf IntelArduino-1.6.0-Linux32.txz

mv arduino-1.6.0+Intel galileo

e Download and extract IDE for 64-bit systems:

eel =

wget http://downloadmirror.intel.com/24783/eng/IntelArduino-1.6.0-Linux64.txz
tar xJf IntelArduino-1.6.0-Linux64.txz

mv arduino-1.6.0+Intel galileo

Install the Intel IDE

Now that the Galileo IDE has been extracted to the users home directory its time to create a link to make it executable from a shell. |
already have the normal Arduino IDE installed, so | will create a link to make the galileo command.
e Create the link to the /usr/local/bin folder:
sudo 1ln -s ~/galileo/arduino /usr/bin/galileo

e Launch the Galileo IDE:

galileo

Connect Power First, then USB

WARNING: For 1st Generation Galileo Boards - Always power the board through its power supply before connecting it via USB to
your computer. Otherwise, you may damage your board.
WARNING: Power supplies are NOT interchangeable between the Intel Galileo and Intel Galileo Gen 2 boards. The Gen 2 power
supply is 12V and will permanently damage 1st generation Galileo boards.

With nothing else connected to your Galileo board, plug power cable into the wall and then connect it to the Galileo DC jack. You

should see a couple of LEDs light up.
Connect Galileo to your computer using a USB A to micro B cable to USB (cable not included in package) client port on the board.

Update Firmware

e WARNING: During the firmware update it is extremely important that your board remain plugged in and powered on!

1. Go to Tools -> Board, and make sure Intel Galileo or Intel Galileo (Gen 2) is selected.
2. Go to Tools -> Serial Port in the menu. Set the serial port to /dev/tty ACMO
3. Go to Help -> Firmware Update to update your board to the latest version.

When you have succeeded you will see a message indicating that your firmware has been updated. It takes about 5 minutes.

Close down your IDE and restart it after the firmware update has completed.

Test the Board

1. Go to Files -> Examples -> 01.Basics -> Blink

2. A new sketch window will open with some code in it.

3. Click the Upload button in the toolbar.

4. It may take a few moments for the code to compile and upload. You can see the progress at the bottom of the window.
5. When it is done, you will see the text Transfer Complete & Done Uploading at the bottom of the sketch window.

You should see a blinking light!

Troubleshooting

If you are not seeing a blinking light try the following:

1. Check connections between the board, and your computer.

2. Make sure Intel Galileo is selected from the Tools -> Board menu.

3. Make sure you have the correct serial port selected in Tools -> Serial Port.

4. If you didn’t update your firmware, update it now by going to Help -> Firmware Update.

5. Make sure you uploaded the Blink sketch example, and that you didn’t accidentally change the code.
6. Make note of error messages.

7. If all else fails, seek help from the Galileo Support Community or the Arduino Forums.

Resources

https://communities.intel.com/docs/DOC-22886
https://communities.intel.com/docs/DOC-22226
http://www.intel.com/support/galileo/sb/CS-035101.htm
https://bbs.archlinux.org/viewtopic.php?id=171405

History

#1 - 08/06/2014 06:58 PM - Daniel Curtis
- File Intel_Galileo_Arduino_SW_1.5.3 on_Linux32bit_v1.0.2.tgz added

#2 - 08/06/2014 06:59 PM - Daniel Curtis
- File Intel_Galileo_Arduino_SW_1.5.3 on_Linux64bit_v1.0.2.tgz added
- File LINUX_IMAGE_FOR_SD_Intel_Galileo_v1.0.2.zip added

#3 - 04/17/2015 10:54 AM - Daniel Curtis
- Description updated
- Status changed from New to In Progress

- % Done changed from 20 to 50
https://communities.intel.com/docs/DOC-22886
https://communities.intel.com/docs/DOC-22226
http://www.intel.com/support/galileo/sb/CS-035101.htm
https://bbs.archlinux.org/viewtopic.php?id=171405

#4 - 04/17/2015 11:09 AM - Daniel Curtis
- Project changed from 83 to GNU/Linux Administration

- Subject changed from Setting Up A Intel Galileo Development Environment for Linux to Setup an Arduino / Intel Galileo Development Environment

on Linux

- Description updated

- Category set to Development Environment
- Target version set to *nix

- % Done changed from 50 to 70

#5 - 04/17/2015 02:40 PM - Daniel Curtis
- Description updated
- Status changed from In Progress to Resolved

- % Done changed from 70 to 100

#6 - 04/17/2015 03:36 PM - Daniel Curtis

- Description updated

#7 - 04/17/2015 03:52 PM - Daniel Curtis
- Project changed from GNU/Linux Administration to Intel Galileo
- Category changed from Development Environment to Installation

- Target version changed from *nix to Arch Linux

#8 - 04/17/2015 05:17 PM - Daniel Curtis

- Description updated

#9 - 04/17/2015 05:18 PM - Daniel Curtis

- Description updated

#10 - 04/17/2015 05:19 PM - Daniel Curtis

- Description updated

#11 - 04/17/2015 05:20 PM - Daniel Curtis

- Description updated

#12 - 04/20/2015 05:16 PM - Daniel Curtis

- Status changed from Resolved to Closed

#13 - 07/15/2016 07:48 PM - Daniel Curtis

- Description updated

Files

Intel_Galileo_Arduino_SW_1.5.3_on_Linux32bit_v1.0.2.tgz 72.2 MB 08/07/2014 Daniel Curtis

Intel_Galileo_Arduino_SW_1.5.3_on_Linux64bit_v1.0.2.tgz 73.5 MB 08/07/2014 Daniel Curtis

LINUX_IMAGE_FOR_SD_Intel_Galileo_v1.0.2.zip 50 MB 08/07/2014 Daniel Curtis
